## The `upc_all_lock_alloc` function

#### Synopsis

        #include <upc.h>
        upc_lock_t *upc_all_lock_alloc(void);

#### Description

The `upc_all_lock_alloc` function dynamically allocates a lock and returns a pointer to it. The lock is created in an unlocked state.

The `upc_all_lock_alloc` function is a collective function. The return value on every thread points to the same lock object.

Terms, definitions, and symbols

Back to index of all UPC functions